'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = visitor;

var _babelTypes = require('babel-types');

var t = _interopRequireWildcard(_babelTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function visitor(_ref) {
  var original = _ref.original;
  var replacement = _ref.replacement;

  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path) {
        if (original === path.node.source.value) {
          path.node.source = t.stringLiteral(replacement);
        }
      },
      CallExpression: function CallExpression(path) {
        var node = path.node;
        if (node.callee.name === 'require' && node.arguments && node.arguments.length === 1 && t.isStringLiteral(node.arguments[0]) && node.arguments[0].value === original) {
          path.node.arguments = [t.stringLiteral(replacement)];
        }
      }
    }
  };
}